Bug 55506 - joe Autoindent features fails to function
Summary: joe Autoindent features fails to function
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: joe (Show other bugs)
(Show other bugs)
Version: 7.2
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Trond Eivind Glomsrxd
QA Contact: Aaron Brown
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-11-01 14:50 UTC by Robert J. Osborne
Modified: 2007-04-18 16:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-11-01 16:00:42 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Robert J. Osborne 2001-11-01 14:50:47 UTC
Description of Problem:
The joe autoindent feature (^t i) fails to function when activated.  Instead of 
dropping underneath the previous whitespace of the line above it, the cursor 
is always placed at column 1.

Version-Release number of selected component (if applicable):
joe-2.9.6-2

How Reproducible:
Every Time.

Steps to Reproduce:
1. joe test.txt
2.Place a few tabs on a line and then type some text after the tabs.
3. Press CTRL-T followed by I to enter autoindent mode.
4.  Press enter to go to the next line.
5.  The cursor will wrongly go to column 1 instead of under the previous line 
indention.

Actual Results:
The resulting text file if saved is wrongly tabbed if viewed; so this must be an 
internal JOE bug, rather than a curses/display bug.

Expected Results:


Additional Information:

Comment 1 Trond Eivind Glomsrxd 2001-11-01 15:25:12 UTC
No problems here... do you have your own configuration of joe? What locale are
you running?

Comment 2 Robert J. Osborne 2001-11-01 15:55:06 UTC
I have a standard i386/i686 desktop install US/English/Eastern (New York) TZ; 
everything should be vanilla.

I've been able to reproduce this bug consistently on both upgraded and 
freshly-installed systems.

In further testing, it appears to handle spaces okay but loses (at least one) tab.

Comment 3 Trond Eivind Glomsrxd 2001-11-01 16:00:20 UTC
OK, verified - it handles spaces just fine, but if you use tabs, it will lose
one of them for every line.

Comment 4 Trond Eivind Glomsrxd 2001-11-08 16:22:09 UTC
Fixed in joe-2.9.7-1


Note You need to log in before you can comment on or make changes to this bug.